Summary: Dataset API for Xopen and SQL databases.
Name: bmsi-db
Version: 1.4
Release: 1%{dist}
License: Proprietary
Group: System Environment/Libraries
Source: bmsi-db-%{version}.tar.gz
Patch: bmsi-db-1.4.patch
BuildRoot: /var/tmp/%{name}-buildroot
Vendor: Stuart D. Gathman <stuart@bmsi.com>
Packager: Stuart D. Gathman <stuart@bmsi.com>
BuildArch: noarch
Requires: bmsi-util > 1.0, bmsi-xopen >= 0.9
BuildRequires: java-sdk-1.8.0, bmsi-xopen >= 0.9
BuildRequires: junit, apache-commons-cli

%description
This package was developed as an interface to BTAS/1 before JDBC was
available.  It was modelled after the Delphi library.  Now that JDBC is
available, a driver for BTAS is certainly feasible, and one is in the
works.  However, while SQL is convenient for queries, it is cumbersome
for updates.  Queries deal with sets of records, updates deal with
transactions.  SQL is designed to manipulate sets of records elegantly,
but deals with transactions poorly.  For this reason, we will continue
to use this library - or an improved version - for record/transaction
oriented database access.

%prep
%setup -q
%patch -p1 -b .jgl

%build
mkdir classes
mkdir new
#mv ResultSetWrapper.java new
javac -classpath /bms/java:%{_jnidir}/xopen.jar:%{_javadir}/junit.jar:\
%{_javadir}/commons-cli.jar -d $PWD/classes *.java bmsi-awt/*.java
umask 002

%install
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cd classes
zip -r $RPM_BUILD_ROOT%{_javadir}/%{name}.jar bmsi

%files
%{_javadir}/%{name}.jar

%changelog
* Sat Jul 21 2018 Stuart Gathman <stuart@gathman.org>	1.4-1
- Accumulated changes
- Fedora Packaging Standards

* Mon May 09 2011 Stuart Gathman <stuart@bmsi.com>	1.3-1
- Share database connection between Query instances
- Disable broken deleteAll optimization
- Fix SQL insertrow losing data on error
- Fix SQL concurrent inserts

* Mon Sep 27 2010 Stuart Gathman <stuart@bmsi.com>	1.2-1
- Add SQLExport, CSVExport, Query

* Mon Mar 22 2010 Stuart Gathman <stuart@bmsi.com>	1.1-1
- Move getState() to DataScroller
- Modernize MemData

* Sat Dec 12 2009 Stuart Gathman <stuart@bmsi.com>	1.0-3
- Missing return in TempDataset (NullPointerException)

* Wed Dec 09 2009 Stuart Gathman <stuart@bmsi.com>	1.0-2
- varargs addIndex
- Various modernizations

* Tue Nov 10 2009 Stuart Gathman <stuart@bmsi.com>	1.0-1
- Consolidate fixes

* Fri Jan 23 2009 Stuart Gathman <stuart@bmsi.com>	0.9-2
- varargs methods in Dataset and Relate
- fix BinaryField.asString()
- Field.getPos()
- CSVOutput

* Thu Aug 03 2006 Stuart Gathman <stuart@bmsi.com>	0.9-1
- sort method on MemData
- getText(byte[],Field) 
- Test for and fix edit after insert when no current record bug.
- 2038 rollover flag in TimeStampField

* Wed Apr 06 2005 Stuart Gathman <stuart@bmsi.com>	0.8-1
- simplified auto-create support via Dataset.create()
- delay keyfield count check in Relate to prevent exception on open
- call activeChanged when changing indexName
- ensure DataListeners added only once

* Wed Jan 07 2004 Stuart Gathman <stuart@bmsi.com>	0.7-1
- test for small record bug
- add BtasField interface

* Tue Aug 19 2003 Stuart Gathman <stuart@bmsi.com>	0.6-1
- Test for TempDataset bug

* Thu May 22 2003 Stuart Gathman <stuart@bmsi.com>	0.5-1
- Support assigning BinaryField from byte[]

* Fri Mar 21 2003 Stuart Gathman <stuart@bmsi.com>	0.4-1
- fix TempDataset bug
- Exclusive mode, addindex support

* Fri Mar 07 2003 Stuart Gathman <stuart@bmsi.com>	0.3-1
- New features (DSList) and bug fixes.
